package javax.sql.rowset.spi;

import java.sql.SQLException;
import javax.sql.RowSet;

public interface SyncResolver extends RowSet
{
    public static final int UPDATE_ROW_CONFLICT = 0;
    public static final int DELETE_ROW_CONFLICT = 1;
    public static final int INSERT_ROW_CONFLICT = 2;
    public static final int NO_ROW_CONFLICT = 3;
    
    public abstract int getStatus();
    
    public abstract Object getConflictValue(int p0) throws SQLException;
    
    public abstract Object getConflictValue(String p0) throws SQLException;
    
    public abstract void setResolvedValue(int p0, Object p1) throws SQLException;
    
    public abstract void setResolvedValue(String p0, Object p1) throws SQLException;
    
    public abstract boolean nextConflict() throws SQLException;
    
    public abstract boolean previousConflict() throws SQLException;
}
